<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Sentencia', routerLink: '../' }"
    [model]="[{ icon: 'pi pi-pencil', label: asunto, routerLink: './',queryParams: isView?{visualizar:true}:{} }]">
  </p-breadcrumb>
</div>
<form>
  <div class="btn-float" id="top-update">
    <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" ngbTooltip="Guardar cambios" placement="left"
      icon="pi pi-save" (onClick)="actualizarSentencia()">
    </p-button>
  </div>
  <div class="card p-3">
    <a routerLink="../">
      <p-button styleClass="p-button-sm back" label="Volver" icon="pi pi-angle-left"></p-button>
    </a>
    <div class="form-row">
      <div class="col-6">
        <label for="">Tipo de asunto:</label>
        <input type="text" class="form-control" list="asuntoList" autocomplete="off" placeholder="Tipo de asunto"
          name="tipoAuntos" disabled id="tipoAsunto" [(ngModel)]="sentenciaModel.tipoAsunto">
        <datalist id="asuntoList">
          <option *ngFor="let asunto of catalogos.tipoAsunto" [value]="asunto.nombre">
            {{asunto.nombre}}
          </option>
        </datalist>
      </div>
      <div class="col-6">
        <label for="">Número de expediente:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Número de expediente" name="numExp"
          id="numExp" disabled [(ngModel)]="sentenciaModel.numeroExpediente">
      </div>
      <div class="col-6">
        <label for="">Órgano de radicación:</label>
        <input type="text" class="form-control" list="organoList" autocomplete="off" placeholder="Órgano radicación"
          name="organoRadica" disabled id="organoRadica" [(ngModel)]="sentenciaModel.organoRadicacion">
        <datalist id="organoList">
          <option *ngFor="let organo of catalogos.organoRadicacion" [value]="organo.nombre">
            {{organo.nombre}}
          </option>
        </datalist>
      </div>
      <div class="col-6">
        <label for="">Fecha de resolución:</label>
        <div style="overflow-wrap: normal;">
          <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" styleClass="w-100"
            placeholder="Escriba o seleccione la fecha de resolución" [yearNavigator]="true" [monthNavigator]="true"
            yearRange="1000:2030" disabled name="fechaResolu" id="fechaResolu"
            [(ngModel)]="sentenciaModel.fechaResolucion">
          </p-calendar>
        </div>
      </div>
      <div class="col-6">
        <label for="">Ponente:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Ponente" disabled list="ponente"
          name="ponent" id="ponent" [(ngModel)]="sentenciaModel.ponente">
        <datalist id="ponente">
          <option [value]="min.nombre" *ngFor="let min of catalogos.ministros">
            {{min.nombre}}
          </option>
        </datalist>
      </div>
      <div class="col-6 relative">
        <label for="">Tipo de persona promovente:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="catalogos.personaPromovente"
          [(ngModel)]="sentenciaModel.tipoPersonaPromovente" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" name="personaPromo" id="personaPromo"
          placeholder="Tipo de persona promovente" (onClick)="activeAlert()"
          (onChange)="cleanData('promovente',$event)">
        </p-dropdown>
      </div>
      <div class="col-6"
        *ngIf="sentenciaModel.tipoPersonaPromovente == 'JURÍDICO COLECTIVA PRIVADA' || sentenciaModel.tipoPersonaPromovente == 'JURÍDICO COLECTIVA OFICIAL'">
        <label for="">Tipo de persona jurídica colectiva:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.personaJuridicoColectiva" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" name="personaColectiva" id="personaColectiva"
          placeholder="Tipo de persona jurídica colectiva" [(ngModel)]="sentenciaModel.tipoPersonaJuridicoColectiva"
          (onClick)="activeAlert()">
        </p-dropdown>
      </div>
      <div class="col-6">
        <label for="">Tipo de violaciones planteadas en la demanda:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.violacionPlanteadaDemanda" [(ngModel)]="sentenciaModel.tipoViolacionPlanteadaenDemanda"
          optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true" optionValue="nombre"
          name="vioPlanteada" id="vioPanteada" placeholder="Tipo de violaciones planteadas en la demanda"
          (onChange)="cleanData('violacion',$event)" (onClick)="activeAlert()">
        </p-dropdown>
      </div>
      <div class="col-12"
        *ngIf="['VIOLACIONES A DERECHOS HUMANOS Y VIOLACIONES ORGÁNICAS','SÓLO VIOLACIONES A DERECHOS HUMANOS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
        <label for="">Derechos humanos cuya violación se plantea:</label>
        <ng-multiselect-dropdown [data]="catalogos.derechosHumanos" [settings]="configDropdown"
          [(ngModel)]="sentenciaModel.derechosHumanosCuyaViolacionPlantea" name="derechosHumanoVioPlant"
          id="derechosHumanosVioPlantea" (click)="activeAlert()"
          placeholder="Seleccione los derechos humanos cuya violación se plantea">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12"
        *ngIf="['VIOLACIONES A DERECHOS HUMANOS Y VIOLACIONES ORGÁNICAS','SÓLO VIOLACIONES ORGÁNICAS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
        <label for="">Violación orgánica planteada:</label>
        <ng-multiselect-dropdown [data]="catalogos.violacionOrganicaAnalizada" [settings]="configDropdown"
          (click)="activeAlert()" placeholder="Seleccione la violación orgánica" name="vioOrganicaPlanteada"
          id="vioOrganicaPlanteada" [(ngModel)]="sentenciaModel.violacionOrganicaPlanteada"></ng-multiselect-dropdown>
      </div>
      <div class="col-12"
        *ngIf="['VIOLACIONES A DERECHOS HUMANOS Y VIOLACIONES ORGÁNICAS','SÓLO VIOLACIONES ORGÁNICAS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
        <label for="">Tipo(s) de vicio(s) en el proceso legislativo:</label>
        <ng-multiselect-dropdown [data]="catalogos.vicioProcesoLegislativo" [settings]="configDropdown"
          placeholder="Seleccione los tipo(s) de vicio(s) en el proceso legislativo" name="tipoVicioProcesoLegislativo"
          (click)="activeAlert()" id="tipoVicioProcesoLegislativo"
          [(ngModel)]="sentenciaModel.tipoViciosProcesoLegislativo">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-6"
        *ngIf="['VIOLACIONES A DERECHOS HUMANOS Y VIOLACIONES ORGÁNICAS','SÓLO VIOLACIONES ORGÁNICAS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
        <label for="">Tipo de violación por invasión de esferas:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.violacionInvacionEsferas" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Tipo de violación por invasión de esferas"
          name="vioInvaEsfera" id="vioInvaEsfera" [(ngModel)]="sentenciaModel.tipoViolacionInvacionEsferas"
          (onClick)="activeAlert()">
        </p-dropdown>

      </div>
      <div class="col-6"
        *ngIf="['VIOLACIONES A DERECHOS HUMANOS Y VIOLACIONES ORGÁNICAS','SÓLO VIOLACIONES ORGÁNICAS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
        <label for="">Tipo de violación por invasión de poderes:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.violacionInvacionPoderes" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Tipo de violación por invasion de poderes"
          name="vioInvaPoderes" id="vioInvaPoderes" [(ngModel)]="sentenciaModel.tipoViolacionInvacionPoderes"
          (onClick)="activeAlert()">
        </p-dropdown>

      </div>
    </div>
  </div>
  <div class="title-sentencia mt-1">
    <div class="title-sentencia__line"></div>
    <p class="title-sentencia__parrafo px-2">Análisis de la Sentencia</p>
  </div>
  <div class="card mt-3 p-3">
    <div class="form-row">
      <div class="col-12">
        <p-fieldset legend="{{1 | convertRomano }}. Causas de improcedencia y de sobreseimiento analizadas:">
          <p>
            Por cada votación realizada en relación con causas de improcedencia de sobreseimiento, deberá ingresarse la
            información respectiva en este campo</p>
          <p-table [value]="sentenciaModel.votacionCausasImprocedenciaySobreseimientoAnalizadas" [scrollable]="true"
            [style]="{width:'100%'}" scrollHeight="200px">
            <ng-template pTemplate="caption">
              <div class="badge-votos-total">
                <div>Votaciones: {{sentenciaModel.totalVotacionCausasImprocedenciaySobreseimientoAnalizadas}}</div>
              </div>
            </ng-template>
            <ng-template pTemplate="colgroup">
              <colgroup>
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:150px">
              </colgroup>
            </ng-template>
            <ng-template pTemplate="header" let-columns>
              <tr>
                <th>Causas de improcedencia</th>
                <th>Acto(s) impugnado(s)</th>
                <th>Rubros temáticos</th>
                <th>Votación a favor</th>
                <th>Votación en contra</th>
                <th></th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-causa>
              <tr>
                <td tooltipPosition="top"
                  [pTooltip]="'Causas de improcedencia: ('+currentValues(causa.rubrosTematicos,'analisisProcedencia').length+')'">
                  <div class="list-table">
                    <p *ngFor="let causas of currentValues(causa.rubrosTematicos,'analisisProcedencia')">
                      {{ causas }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Acto(s) impugnado(s): ('+causa.articulosImpugnados.length+')'">
                  <p class="item-rubro" [title]="causa.actosImpugnados">{{causa.articulosImpugnados}}</p>
                  <p class="text-center" *ngIf="causa.articulosImpugnados.length == 0">-</p>
                </td>
                <td tooltipPosition="top"
                  [pTooltip]="'Rubros tematicos: ('+currentValues(causa.rubrosTematicos,'rubrosTematicos').length+')'">
                  <div class="list-table">
                    <p *ngFor="let rubro of currentValues(causa.rubrosTematicos,'rubrosTematicos')">
                      {{ rubro }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación a favor: ('+causa.votacionFavor.length+')'">
                  <div class="list-table">
                    <p *ngFor="let favor of causa.votacionFavor">
                      {{ favor }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación en contra: ('+causa.votacionEnContra.length+')'">
                  <div class="list-table">
                    <p *ngFor="let contra of causa.votacionEnContra">
                      {{ contra }}
                    </p>
                  </div>
                </td>
                <td class="text-center">
                  <i class="pi pi-trash c-del mx-1" [ngClass]="{'collapse':isView}"
                    (click)="deleteVotacion($event,causa,'causasImprocedencia')"></i>
                  <a (click)="saveDate()" [ngClass]="{'collapse': isView}"
                    [routerLink]="['./causas-improcedencia',causa.id]"><i class="pi pi-pencil edit mx-1"></i></a>
                  <a [queryParams]="{visualizar: true}" [ngClass]="{'collapse': !isView}"
                    [routerLink]="['./causas-improcedencia',causa.id]"><i class="pi pi-eye edit mx-1"></i></a>
                </td>
              </tr>
            </ng-template>
          </p-table>
          <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm mt-3" label="Agregar votación"
            (onClick)="redirectTo('causas-improcedencia')">
          </p-button>
        </p-fieldset>
      </div>
      <!-- <div class="col-12"
        *ngIf="['VIOLACIONES A DERECHOS HUMANOS Y VIOLACIONES ORGÁNICAS','SÓLO VIOLACIONES A DERECHOS HUMANOS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
        <label for="">Derecho(s) Humano(s) cuya violación se plantea:</label>
        <ng-multiselect-dropdown [data]="catalogos.derechosHumanos" [settings]="configDropdown"
          placeholder="Seleccione los Derecho(s) Humano(s) cuya violación se plantea" id="derechoVotacion"
          name="derechoVotacion" (click)="activeAlert()"
          [(ngModel)]="sentenciaModel.derechosHumanosCuyaViolacionPlanteaByDerechosHumanos">
        </ng-multiselect-dropdown>
      </div> -->
    </div>
  </div>
  <div class="card mt-3 p-3"
    *ngIf="['VIOLACIONES A DERECHOS HUMANOS Y VIOLACIONES ORGÁNICAS','SÓLO VIOLACIONES A DERECHOS HUMANOS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
    <div class="form-row">
      <div class="col-12">
        <p-fieldset legend="{{2 | convertRomano }}. Derecho(s) Humano(s) cuya violación se analiza en la sentencia:">
          <p>Por cada votación realizada en relación con derecho(s) humano(s) cuya violación se analiza en la sentencia,
            deberá ingresarse la
            información respectiva en este campo</p>
          <p-table [value]="sentenciaModel.votacionDerechosHumanosCuyaViolacionAnalizaSentencia" [scrollable]="true"
            [style]="{width:'100%'}" scrollHeight="200px">
            <ng-template pTemplate="caption">
              <div class="badge-votos-total">
                <div>Votaciones: {{sentenciaModel.totalVotacionDerechosHumanosCuyaViolacionAnalizaSentencia}}</div>
              </div>
            </ng-template>
            <ng-template pTemplate="colgroup">
              <colgroup>
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:150px">
              </colgroup>
            </ng-template>
            <ng-template pTemplate="header">
              <tr>
                <th>Articulo(s) Impugnado(s)</th>
                <th>Derecho(s) Humano(s)</th>
                <th>Metodología de análisis de constitucionalidad</th>
                <th>Rubros temáticos</th>
                <th>Votación a favor</th>
                <th>Votación en contra</th>
                <th></th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-derecho>
              <tr>
                <td tooltipPosition="top"
                  [pTooltip]="'Articulo(s) impugnado(s): ('+derecho.articulosImpugnados.length+')'">
                  <div class="list-table">
                    <p *ngFor="let art of derecho.articulosImpugnados">
                      {{ art }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Derecho(s) humano(s): ('+derecho.derechosHumanos.length+')'">
                  <div class="list-table">
                    <p *ngFor="let der of derecho.derechosHumanos">
                      {{ der }}
                    </p>
                  </div>
                </td>
                <td>
                  <p class="item-rubro">
                    {{ derecho.metodologiaAnalisisConstitucionalidad}}
                  </p>
                </td>
                <td tooltipPosition="top"
                  [pTooltip]="'Rubros temáticos: ('+derecho.rubrosTematicosPrincipal.length+')'">
                  <div class="list-table">
                    <p *ngFor="let rubPrin of derecho.rubrosTematicosPrincipal">
                      {{ rubPrin }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación a favor: ('+derecho.votacionFavor.length+')'">
                  <div class="list-table">
                    <p *ngFor="let favor of derecho.votacionFavor">
                      {{ favor }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación en contra: ('+derecho.votacionEnContra.length+')'">
                  <div class="list-table">
                    <p *ngFor="let contra of derecho.votacionEnContra">
                      {{ contra }}
                    </p>
                  </div>
                </td>
                <td class="text-center">
                  <i class="pi pi-trash c-del mx-1" [ngClass]="{'collapse':isView}"
                    (click)="deleteVotacion($event,derecho,'derechosHumanos')"></i>
                  <a (click)="saveDate()" [ngClass]="{'collapse': isView}"
                    [routerLink]="['./derechos-humanos',derecho.id]"><i class="pi pi-pencil edit mx-1"></i></a>
                  <a [queryParams]="{visualizar: true}" [ngClass]="{'collapse': !isView}"
                    [routerLink]="['./derechos-humanos',derecho.id]"><i class="pi pi-eye edit mx-1"></i></a>
                </td>
              </tr>
            </ng-template>
          </p-table>
          <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm mt-3" label="Agregar votación"
            (onClick)="redirectTo('derechos-humanos')">
          </p-button>
        </p-fieldset>
      </div>
    </div>
  </div>

  <div class="card mt-3 p-3"
    *ngIf="!['SÓLO VIOLACIONES A DERECHOS HUMANOS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
    <div class="form-row">
      <div class="col-12">
        <label for="">Violación orgánica analizada en la sentencia:</label>
        <ng-multiselect-dropdown [data]="catalogos.violacionOrganicaAnalizada" [settings]="configDropdown"
          (click)="activeAlert()" placeholder="Seleccione la Violación orgánica analizada en la sentencia"
          name="vioOrganicaAnalizadaSentencia" id="vioOrganicaAnalizadaSentencia"
          [(ngModel)]="sentenciaModel.violacionOrganicaAnalizadaenSentencia">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12"
        *ngIf="!['SÓLO VIOLACIONES A DERECHOS HUMANOS'].includes(sentenciaModel.tipoViolacionPlanteadaenDemanda)">
        <p-fieldset legend="{{3 | convertRomano }}. Tipo de vicio en el proceso legislativo analizado en la sentencia:">
          <p>
            Por cada votación realizada en relación con tipo de vicio en el proceso legislativo analizado en la
            sentencia, deberá ingresarse la
            información respectiva en este campo</p>
          <p-table [value]="sentenciaModel.votacionTipoVicioProcesoLegislativoAnalizadoenSentencia" [scrollable]="true"
            [style]="{width:'100%'}" scrollHeight="200px">
            <ng-template pTemplate="caption">
              <div class="badge-votos-total">
                <div>Votaciones: {{sentenciaModel.totalVotacionTipoVicioProcesoLegislativoAnalizadoenSentencia}}</div>
              </div>
            </ng-template>
            <ng-template pTemplate="colgroup">
              <colgroup>
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:150px">
              </colgroup>
            </ng-template>
            <ng-template pTemplate="header">
              <tr>
                <th>Tipo de vicio</th>
                <th>Decreto impugnado</th>
                <th>Congreso que emitió el decreto impugnado</th>
                <th>Rubros temáticos</th>
                <th>Votación a favor</th>
                <th>Votación en contra</th>
                <th></th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-vicio>
              <tr>
                <td>
                  <p class="item-rubro text-center">
                    <span>
                      -
                    </span>
                  </p>
                </td>
                <td>
                  <p class="item-rubro">
                    <span>
                      {{ vicio.congresoEmitioDecreto }}
                    </span>
                  </p>
                </td>
                <td>
                  <p class="item-rubro">
                    {{ vicio.decretoImpugnado }}
                  </p>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Rubros temáticos: ('+vicio.rubrosTematicosPrincipal.length+')'">
                  <div class="list-table">
                    <p *ngFor="let rubPrin of vicio.rubrosTematicosPrincipal">
                      {{ rubPrin }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación a favor: ('+vicio.votacionFavor.length+')'">
                  <div class="list-table">
                    <p *ngFor="let favor of vicio.votacionFavor">
                      {{ favor }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación en contra: ('+vicio.votacionEnContra.length+')'">
                  <div class="list-table">
                    <p *ngFor="let contra of vicio.votacionEnContra">
                      {{ contra }}
                    </p>
                  </div>
                </td>
                <td class="text-center">
                  <i class="pi pi-trash c-del mx-1" [ngClass]="{'collapse':isView}"
                    (click)="deleteVotacion($event,vicio,'procesoLegislativo')"></i>
                  <a (click)="saveDate()" [ngClass]="{'collapse': isView}"
                    [routerLink]="['./tipo-vicio-legislativo',vicio.id]"><i class="pi pi-pencil edit mx-1"></i></a>
                  <a [queryParams]="{visualizar: true}" [ngClass]="{'collapse': !isView}"
                    [routerLink]="['./tipo-vicio-legislativo',vicio.id]"><i class="pi pi-eye edit mx-1"></i></a>
                </td>
              </tr>
            </ng-template>
          </p-table>
          <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm mt-3" label="Agregar votación"
            (onClick)="redirectTo('tipo-vicio-legislativo')">
          </p-button>
        </p-fieldset>
      </div>
    </div>
  </div>

  <div class="card mt-3 p-3">
    <div class="form-row">
      <div class="col-12">
        <label for="">Tipo de violación por invasión de esferas y materia analizada en la sentencia:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.violacionInvacionEsferasAnalizada" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre"
          placeholder="Tipo de violación por invasión de esferas y materia analizada en la sentencia"
          name="tipoVioInvaEsfeMateria" (onClick)="activeAlert()" id="tipoVioInvaEsfeMateria"
          [(ngModel)]="sentenciaModel.tipoViolacionInvacionEsferasMateriaAnalizadaenSentencia" list="tipoVioInvEsferas"
          (onChange)="($event.value == null)?sentenciaModel.materiaAnalizadaInvasionEsferas = null:null">
        </p-dropdown>
      </div>
      <div *ngIf="sentenciaModel.tipoViolacionInvacionEsferasMateriaAnalizadaenSentencia" class="col-12">
        <label for="">Materia analizada por invasión de esferas:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.violacionInvacionEsferas" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Materia analizada por invasión de esferas"
          name="vioInvaEsfeMateria" (onClick)="activeAlert()" id="vioInvaEsfeMateria"
          [(ngModel)]="sentenciaModel.materiaAnalizadaInvasionEsferas">
        </p-dropdown>

      </div>
      <div class="col-12">
        <p-fieldset
          legend="{{4 | convertRomano }}. Tipo de violación por invasión de esferas analizado en la sentencia:">
          <p>
            Por cada votación realizada en relación con tipo de violación por invasión de esferas analizado en la
            sentencia, deberá ingresarse la
            información respectiva en este campo</p>
          <p-table [value]="sentenciaModel.votacionTipoViolacionInvacionEsferasAnalizadoenSentencia" [scrollable]="true"
            [style]="{width:'100%'}" scrollHeight="200px">
            <ng-template pTemplate="caption">
              <div class="badge-votos-total">
                <div>Votaciones: {{sentenciaModel.totalVotacionTipoViolacionInvacionEsferasAnalizadoenSentencia}}</div>
              </div>
            </ng-template>
            <ng-template pTemplate="colgroup">
              <colgroup>
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:150px">
              </colgroup>
            </ng-template>
            <ng-template pTemplate="header">
              <tr>
                <th>Tipo de violación</th>
                <th>Artículo(s) impugnado(s)</th>
                <th>Rubros temáticos</th>
                <th>Votación a favor</th>
                <th>Votación en contra</th>
                <th></th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-esfera>
              <tr>
                <td>
                  <p class="item-rubro text-center">
                    <span>
                      {{ esfera.tipoViolacionInvacionEsferas}}
                    </span>
                  </p>
                </td>
                <td>
                  <p class="item-rubro text-center">
                    <span>
                      -
                    </span>
                  </p>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Rubros temáticos: ('+esfera.rubrosTematicosPrincipal.length+')'">
                  <div class="list-table">
                    <p *ngFor="let rubPrin of esfera.rubrosTematicosPrincipal">
                      {{ rubPrin }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación a favor: ('+esfera.votacionFavor.length+')'">
                  <div class="list-table">
                    <p *ngFor="let favor of esfera.votacionFavor">
                      {{ favor }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación en contra: ('+esfera.votacionEnContra.length+')'">
                  <div class="list-table">
                    <p *ngFor="let contra of esfera.votacionEnContra">
                      {{ contra }}
                    </p>
                  </div>
                </td>
                <td class="text-center">
                  <i class="pi pi-trash c-del mx-1" [ngClass]="{'collapse':isView}"
                    (click)="deleteVotacion($event,esfera,'violacionEsferas')"></i>
                  <a (click)="saveDate()" [ngClass]="{'collapse': isView}"
                    [routerLink]="['./tipo-violacion-esferas',esfera.id]"><i class="pi pi-pencil edit mx-1"></i></a>
                  <a [queryParams]="{visualizar: true}" [ngClass]="{'collapse': !isView}"
                    [routerLink]="['./tipo-violacion-esferas',esfera.id]"><i class="pi pi-eye edit mx-1"></i></a>
                </td>
              </tr>
            </ng-template>
          </p-table>
          <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm mt-3" label="Agregar votación"
            (onClick)="redirectTo('tipo-violacion-esferas')">
          </p-button>
        </p-fieldset>
      </div>
    </div>
  </div>

  <div class="card mt-3 p-3">
    <div class="form-row">
      <div class="col-12">
        <label for="">Tipo de violación por invasión de poderes analizada en la sentencia:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.violacionInvacionPoderesAnalizado" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre"
          placeholder="Tipo de violación por invasión de poderes analizada en la sentencia" name="tipoVioInvPod"
          id="tipoVioInvPod" (onClick)="activeAlert()"
          [(ngModel)]="sentenciaModel.tipoViolacionInvacionPoderesAnalizadoenSentencia"
          (onChange)="($event.value == null)?sentenciaModel.materiaAnalizadaInvasionPoderes = null:null">
        </p-dropdown>
      </div>
      <div *ngIf="sentenciaModel.tipoViolacionInvacionPoderesAnalizadoenSentencia" class="col-12">
        <label for="">Materia analizada por invasión de poderes:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100"
          [options]="catalogos.violacionInvacionEsferas" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Materia analizada por invasión de poderes"
          name="materiatipoVioInvPod" (onClick)="activeAlert()" id="materiatipoVioInvPod"
          [(ngModel)]="sentenciaModel.materiaAnalizadaInvasionPoderes" list="materiaVioInvPodSent">
        </p-dropdown>

      </div>
      <div class="col-12">
        <p-fieldset
          legend="{{5 | convertRomano }}. Tipo de violación por invasión de poderes analizado en la sentencia:">
          <p>
            Por cada votación realizada en relación con tipo de violación por invasión de poderes analizado en la
            sentencia, deberá ingresarse la
            información respectiva en este campo</p>
          <p-table [value]="sentenciaModel.votacionTipoViolacionInvacionPoderesAnalizadoenSentencia" [scrollable]="true"
            [style]="{width:'100%'}" scrollHeight="200px">
            <ng-template pTemplate="caption">
              <div class="badge-votos-total">
                <div>Votaciones: {{sentenciaModel.totalVotacionTipoViolacionInvacionPoderesAnalizadoenSentencia}}</div>
              </div>
            </ng-template>
            <ng-template pTemplate="colgroup">
              <colgroup>
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:200px">
                <col style="width:150px">
              </colgroup>
            </ng-template>
            <ng-template pTemplate="header">
              <tr>
                <th>Tipo de violación</th>
                <th>Artículo(s) impugnado(s)</th>
                <th>Rubros temáticos</th>
                <th>Votación a favor</th>
                <th>Votación en contra</th>
                <th></th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-poder>
              <tr>
                <td tooltipPosition="top" [pTooltip]="poder.tipoViolacionInvacionPoderes">
                  <div class="list-table">
                    <p class="item-rubro text-center" *ngIf="poder.tipoViolacionInvacionPoderes != ''">
                      <span>
                        {{ poder.tipoViolacionInvacionPoderes}}
                      </span>
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Artículo(s) impugnados: ('+poder.actosImpugnados.length+')'">
                  <p class="item-rubro text-center">
                    <span>
                      {{ poder.actosImpugnados}}
                    </span>
                    <span *ngIf="poder.actosImpugnados.length===0">-</span>
                  </p>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Rubros temáticos: ('+poder.rubrosTematicosPrincipal.length+')'">
                  <div class="list-table">
                    <p *ngFor="let rubPrin of poder.rubrosTematicosPrincipal">
                      {{ rubPrin }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación a favor: ('+poder.votacionFavor.length+')'">
                  <div class="list-table">
                    <p *ngFor="let favor of poder.votacionFavor">
                      {{ favor }}
                    </p>
                  </div>
                </td>
                <td tooltipPosition="top" [pTooltip]="'Votación en contra: ('+poder.votacionEnContra.length+')'">
                  <div class="list-table">
                    <p *ngFor="let contra of poder.votacionEnContra">
                      {{ contra }}
                    </p>
                  </div>
                </td>
                <td class="text-center">
                  <i class="pi pi-trash c-del mx-1" [ngClass]="{'collapse':isView}"
                    (click)="deleteVotacion($event,poder,'violacionPoderes')"></i>
                  <a (click)="saveDate()" [ngClass]="{'collapse': isView}"
                    [routerLink]="['./tipo-violacion-poderes',poder.id]"><i class="pi pi-pencil edit mx-1"></i></a>
                  <a [queryParams]="{visualizar: true}" [ngClass]="{'collapse': !isView}"
                    [routerLink]="['./tipo-violacion-poderes',poder.id]"><i class="pi pi-eye edit mx-1"></i></a>
                </td>
              </tr>
            </ng-template>
          </p-table>
          <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm mt-3" label="Agregar votación"
            (onClick)="redirectTo('tipo-violacion-poderes')">
          </p-button>
        </p-fieldset>
      </div>
    </div>
  </div>

  <div class="card mt-3 p-3">
    <div class="form-row">
      <div class="col-12">
        <label for="">Momento en el que surte efectos la sentencia:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="catalogos.declaracionInvalidez"
          optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true" optionValue="nombre"
          placeholder="Momento en el que surte efectos la sentencia" list="invalidez" name="momentoEfecto"
          id="momentoEfecto" [(ngModel)]="sentenciaModel.momentoSurteEfectoSentencia" (onClick)="activeAlert()">
        </p-dropdown>

      </div>
      <div class="col-6">
        <label for="">Número de votaciones realizadas:</label>
        <input [disabled]="camposRestricted.includes('numeroVotacionesRealizadas')" type="number" class="form-control"
          placeholder="Número de votaciones realizadas" autocomplete="off" name="numVotaRealiza" (click)="activeAlert()"
          id="numVotaRealiza" [(ngModel)]="sentenciaModel.numeroVotacionesRealizadas">
      </div>
      <div class="col-6">
        <label for="">Número de votaciones registrados:</label>
        <input type="number" class="form-control" autocomplete="off" placeholder="Número de votaciones registrados"
          name="numVotaRegistrado" (click)="activeAlert()" id="numVotaRegistrado"
          [(ngModel)]="sentenciaModel.numeroVotacionesRegistradas">
      </div>
      <div class="col-12">
        <label for="">Hojas de votación</label>
        <div class="list">
          <div class="row m-0" *ngFor="let hoja of hojasVotacion; let i = index;">
            <div class="col">
              <span class="d-flex p-1"> {{ (i+1) + '. '+ hoja.documentoID}}</span>
            </div>
            <div class="col-auto"><i class="material-icons edit" (click)="downloadPDF(hoja)">download</i></div>
            <hr class="col-12 p-0 m-0">
          </div>
        </div>
      </div>
      <div class="col-12">
        <label for="">Trámite engrose:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="catalogos.tramiteEngrose"
          optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true" optionValue="nombre"
          placeholder="Trámite engrose" name="tramiteEngrose" id="tramiteEngrose"
          [(ngModel)]="sentenciaModel.tramiteEngrose" (onClick)="activeAlert()">
        </p-dropdown>

      </div>
      <div class="col-12">
        <label for="">Días transcurridos entre el dictado de la sentencia y la fecha de firma del engrose:</label>
        <input type="text" class="form-control" autocomplete="off" name="diasTranscurrido" id="diasTranscurrido"
          (click)="activeAlert()" [(ngModel)]="sentenciaModel.diasTranscurridosEntreDictadoSentenciayFirmaEngrose"
          placeholder="Días transcurridos entre el dictado de la sentencia y la fecha de firma del engrose" disabled="disabled">
      </div>
      <div class="col-6 relative">
        <label for="">Fecha de la sentencia:</label>
        <div style="overflow-wrap: normal;">
          <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" styleClass="w-100"
            placeholder="Escriba o seleccione la fecha de la sentencia" [yearNavigator]="true" [monthNavigator]="true"
            yearRange="1000:2030" (click)="activeAlert()" (click)="detectDias()" [(ngModel)]="sentenciaModel.fechaSentencia"
            name="fechaSentencia" id="fechaSentencia">
          </p-calendar>
        </div>
        <i *ngIf="sentenciaModel.fechaSentencia" class="pi pi-times clear-autocomplete"
           (click)="resetDate(1)"></i>
      </div>
      <div class="col-6 relative">
        <label for="">Fecha firma del engrose:</label>
        <div style="overflow-wrap: normal;">
          <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" styleClass="w-100"
            placeholder="Escriba o seleccione la fecha firma del engrose" [yearNavigator]="true" [monthNavigator]="true"
            (click)="activeAlert()"  (click)="detectDias()" yearRange="1000:2030" [(ngModel)]="sentenciaModel.fechaFirmaEngrose"
            name="fechaFimraEngrose" id="fechaFirmaEngrose">
          </p-calendar>
        </div>
        <i *ngIf="sentenciaModel.fechaFirmaEngrose" class="pi pi-times clear-autocomplete"
        (click)="resetDate(2)"></i>
      </div>
    </div>
    <div class="d-flex justify-content-between mt-2" id="end-update">
      <a routerLink="../">
        <p-button styleClass="p-button-sm back" label="Volver" icon="pi pi-angle-left"></p-button>
      </a>
      <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" label="Actualizar" icon="pi pi-book"
        (onClick)="actualizarSentencia()">
      </p-button>
    </div>
  </div>
</form>
<p-confirmPopup></p-confirmPopup>
<div class="tag-changes" [ngClass]="{'view': editInput}">
  <div class="tag-changes__title">
    <span class="col p-0">Se detectaron cambios</span>
    <i class="col-auto pi pi-times p-0" ngbTooltip="Cerrar" placement="left" (click)="editInput = false"></i>
  </div>
  <div class="tag-changes__legend">
    <legend>Asegúrate de guardar tus cambios al terminar las modificaciones.</legend>
  </div>
  <div class="tag-changes__button">
    <i class="pi pi-undo" ngbTooltip="Descartar cambios" placement="left" (click)="discardChanges()"></i>
  </div>
</div>
